Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoBinOp< EOType > Class Template Reference

Binary genetic operator: subclasses eoOp, and defines basically the operator() with two operands, only the first one can be modified When defining your own, make sure that you return a boolean value indicating that you have changed the content. More...

`#include <eoOp.h>`

Inheritance diagram for eoBinOp< EOType >:

List of all members.

## Public Member Functions
| eoBinOp ()
| Ctor.
virtual std::string | className () const

## Detailed Description

### template<class EOType>
class eoBinOp< EOType >

Binary genetic operator: subclasses eoOp, and defines basically the operator() with two operands, only the first one can be modified When defining your own, make sure that you return a boolean value indicating that you have changed the content.

Definition at line 117 of file eoOp.h.

The documentation for this class was generated from the following file:

- eoOp.h